//Futura medium
@include font-face('futura-medium', '../resources/fonts/futura/futura-medium');

//Open Sans
@include font-face('opensans', '../resources/fonts/open-sans/opensans');
@include font-face('opensans-bold', '../resources/fonts/open-sans/opensans-bold');


$font-sizes: (14, 16, 28, 38, 42);

@each $font-size in $font-sizes {
  .font-#{ $font-size } {
    font-size: #{ ($font-size / 10) + 'rem' };
  }
}

@each $font-size in $font-sizes {
  .font-#{ $font-size }--xs {
    @include respondto(phone) {
      font-size: #{ ($font-size / 10) + 'rem' };
    }
  }
}

.font {
  &-futura-md {
    font-family: 'futura-medium';
  }
}

// Flex dimensions
@each $dimmension in 14, 18, 20, 25, 32, 40 {
  .flex-#{$dimmension} {
    @include flex-percentage(#{ $dimmension + '%'});

    @include respondto(phone) {
      @include flex-percentage();
    }
  }
}
